# FoundationClasses
TKernel
Message

# Message_MsgFile Class Reference

A tool providing facility to load definitions of message strings from
resource file(s).
The message file is an ASCII file which defines a set of messages.
Each message is identified by its keyword (string).
All lines in the file starting with the exclamation sign
(perhaps preceeding by spaces and/or tabs) are ignored as comments.
Each line in the file starting with the dot character "."
(perhaps preceeding by spaces and/or tabs) defines the keyword.
The keyword is a string starting from the next symbol after dot
and ending at the symbol preceeding ending newline character "\n".
All the lines in the file after the keyword and before next
keyword (and which are not comments) define the message for that
keyword. If the message consists of several lines, the message
string will contain newline symbols "\n" between parts (but not
at the end).
The experimental support of Unicode message files is provided.
These are distinguished by two bytes FF.FE or FE.FF at the beginning.
The loaded messages are stored in static data map; all methods of that
class are also static.
.

`#include <Message_MsgFile.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT Standard_Boolean | Load (const Standard_CString theDirName, const Standard_CString theFileName)
| Load message file <thefilename> from directory <thedirname> or its sub-directory .
static Standard_EXPORT Standard_Boolean | LoadFile (const Standard_CString theFName)
| Load the messages from the given file, additive to any previously loaded messages. Messages with same keywords, if already present, are replaced with the new ones. .
static Standard_EXPORT void | LoadFromEnv (const Standard_CString envname, const Standard_CString filename, const Standard_CString ext="")
| Loads the messages from the file with name (without extension) given by environment variable. Extension of the file name is given separately. If its not defined, it is taken: - by default from environment CSF_LANGUAGE, - if not defined either, as "us". .
static Standard_EXPORT Standard_Boolean | AddMsg (const TCollection_AsciiString &key, const TCollection_ExtendedString &text)
| Adds new message to the map. Parameter <key> gives the key of the message, <text> defines the message itself. If there already was defined the message identified by the same keyword, it is replaced with the new one. .
static Standard_EXPORT const TCollection_ExtendedString & | Msg (const Standard_CString key)
static Standard_EXPORT const TCollection_ExtendedString & | Msg (const TCollection_AsciiString &key)
| Gives the text for the message identified by the keyword <key> If there are no messages with such keyword defined, the error message is returned. In that case reference to static string is returned, it can be chenged with next call(s) to Msg(). Note: The error message is constructed like 'Unknown message: <key>', and can itself be customized by defining message with key Message_Msg_BadKeyword. .

## Member Function Documentation

static Standard_EXPORT Standard_Boolean Message_MsgFile::AddMsg | ( | const TCollection_AsciiString & | key,
|  | const TCollection_ExtendedString & | text
| ) | `[static]`

static Standard_EXPORT Standard_Boolean Message_MsgFile::Load | ( | const Standard_CString | theDirName,
|  | const Standard_CString | theFileName
| ) | `[static]`

static Standard_EXPORT Standard_Boolean Message_MsgFile::LoadFile | ( | const Standard_CString | theFName | ) | `[static]`

static Standard_EXPORT void Message_MsgFile::LoadFromEnv | ( | const Standard_CString | envname,
|  | const Standard_CString | filename,
|  | const Standard_CString | ext = `""`
| ) | `[static]`

static Standard_EXPORT const TCollection_ExtendedString& Message_MsgFile::Msg | ( | const TCollection_AsciiString & | key | ) | `[static]`

static Standard_EXPORT const TCollection_ExtendedString& Message_MsgFile::Msg | ( | const Standard_CString | key | ) | `[static]`

void Message_MsgFile::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Message_MsgFile::operator new | ( | size_t | size | ) | `[inline]`

void* Message_MsgFile::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- Message_MsgFile.hxx